#!/bin/bash

#  ____  _____ ____ ___ ____    ___ _   _ ___ _____ 
# |  _ \| ____|  _ \_ _/ ___|  |_ _| \ | |_ _|_   _|
# | |_) |  _| | | | | |\___ \   | ||  \| || |  | |  
# |  _ <| |___| |_| | | ___) |  | || |\  || |  | |  
# |_| \_\_____|____/___|____/  |___|_| \_|___| |_|                            